@ECHO OFF

rem
rem MAX_WIN.BAT  Version 2.0  Jan 2014
rem MAX_WIN.BAT is a batchscript to start a console(DOS-)window with
rem support for ANSI-escape-sequences under Microsoft Windows operating
rem systems, such as 3.x,95,98,ME,XP,NT,2000.
rem While usually this can be done only by modifying system
rem configuration files in some subtle way, it is done here by loading
rem ANSI.COM from a batchscript.
rem Note that ANSI.COM and MAX_WIN.BAT must reside in same directory.
rem If this is not the case, modify paths to ANSI.COM and error messages
rem appropriately !
rem For further information or download of ANSI.COM (a freeware
rem written by M.J.Mefford, latest version is 1.3J from May 1993) see
rem for example   http://www.robvanderwoude.com/batchcommands.php 
rem or feed any internet search engine with "ANSI.COM".
rem

IF EXIST ANSI.COM  GOTO LOADIT
ECHO.
ECHO          Error: ANSI escape support cannot be loaded:
ECHO Either ANSI.COM and MAX_WIN.BAT are not both in MAXCLOCK's directory
ECHO           - then check your MAXCLOCK installation -
ECHO Or your default directory is not the same as MAXCLOCK's directory
ECHO       - then change directory to MAXCLOCK's directory -
ECHO Or (if in use) a desktop icon or PIF-file points to a wrong directory
ECHO             - then check settings for this item -
ECHO.
PAUSE
GOTO END
: LOADIT
ANSI.COM >nul
CLS
%COMSPEC% /k ECHO At the following prompt you may start MAXCLOCK:
: END

rem End of file MAX_WIN.BAT ********************************************
